Returns a list of ownerTenantIds based on the permission resource type

GET /users/permissions/tenants

Operation id: PermissionService_GetTenantsByResourceType

Tags: PermissionService

Parameters

Query parameters

NameTypeRequiredDescription
resourceTypestringNoThe resource type. Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantsarrayNo
{
  "type": "object",
  "properties": {
    "tenants": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}